Bug 997144 - SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from 'name_c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:65ab1e3866870631f837e5b60ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 14:54 EDT by Egon Kastelijn
Modified: 2013-08-21 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Egon Kastelijn 2013-08-14 14:54:02 EDT
Description of problem:
systemctl restart couchdb.service
SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from 'name_connect' accesses on the tcp_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that beam.smp should be allowed name_connect access on the  tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep beam.smp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rabbitmq_beam_t:s0
Target Context                system_u:object_r:couchdb_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        beam.smp
Source Path                   /usr/lib64/erlang/erts-5.10.1/bin/beam.smp
Port                          5984
Host                          (removed)
Source RPM Packages           erlang-erts-R16B-0.3.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.3-300.fc19.x86_64 #1 SMP Fri
                              Jul 26 00:00:58 UTC 2013 x86_64 x86_64
Alert Count                   111
First Seen                    2013-07-10 19:04:45 CEST
Last Seen                     2013-08-14 20:51:56 CEST
Local ID                      cd5484b5-7653-4ea2-8546-dadca6560456

Raw Audit Messages
type=AVC msg=audit(1376506316.469:534): avc:  denied  { name_connect } for  pid=3463 comm="beam.smp" dest=5984 scontext=system_u:system_r:rabbitmq_beam_t:s0 tcontext=system_u:object_r:couchdb_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1376506316.469:534): arch=x86_64 syscall=connect success=no exit=EINPROGRESS a0=1c a1=7f262cc064b0 a2=10 a3=1 items=0 ppid=1 pid=3463 auid=4294967295 uid=988 gid=980 euid=988 suid=988 fsuid=988 egid=980 sgid=980 fsgid=980 ses=4294967295 tty=(none) comm=beam.smp exe=/usr/lib64/erlang/erts-5.10.1/bin/beam.smp subj=system_u:system_r:rabbitmq_beam_t:s0 key=(null)

Hash: beam.smp,rabbitmq_beam_t,couchdb_port_t,tcp_socket,name_connect

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.3-300.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-19 11:31:04 EDT
commit 6aabfd47eea7a69fb105b29b5afc39a348ef7e45
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Aug 19 17:29:39 2013 +0200

    Allow beam.smp to connect to tcp/5984
Comment 2 Fedora Update System 2013-08-20 04:28:05 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 3 Fedora Update System 2013-08-20 20:16:58 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-21 20:54:52 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.